clan::TLSClient Class Reference - ClanLib SDK
Description: clan::TLSClient Class Reference

Public Member Functions | List of all members
clan::TLSClient Class Reference
clanCore Crypto

Transport Layer Security (TLS) client class. More...

`#include <tls_client.h>`

## Public Member Functions
| TLSClient ()
| Constructs a TLS client.
int | decrypt (const void *data, int size)
| Adds data to be decrypted.
void | decrypted_data_consumed (int size)
| Marks decrypted data as consumed.
int | encrypt (const void *data, int size)
| Adds data to be encrypted.
void | encrypted_data_consumed (int size)
| Marks encrypted data as consumed.
const void * | get_decrypted_data () const
| Return a pointer to decrypted data available for consumption.
int | get_decrypted_data_available () const
| Returns how much decrypted data is available.
const void * | get_encrypted_data () const
| Return a pointer to encrypted data available for consumption.
int | get_encrypted_data_available () const
| Returns how much encrypted data is available.

## Detailed Description

Transport Layer Security (TLS) client class.

## Constructor & Destructor Documentation

## ◆ TLSClient()

clan::TLSClient::TLSClient | ( |  | ) |

Constructs a TLS client.

## Member Function Documentation

## ◆ decrypt()

int clan::TLSClient::decrypt | ( | const void * | data,
|  | int | size )

Adds data to be decrypted.

## ◆ decrypted_data_consumed()

void clan::TLSClient::decrypted_data_consumed | ( | int | size | ) |

Marks decrypted data as consumed.

## ◆ encrypt()

int clan::TLSClient::encrypt | ( | const void * | data,
|  | int | size )

Adds data to be encrypted.

## ◆ encrypted_data_consumed()

void clan::TLSClient::encrypted_data_consumed | ( | int | size | ) |

Marks encrypted data as consumed.

## ◆ get_decrypted_data()

const void * clan::TLSClient::get_decrypted_data | ( |  | ) | const

Return a pointer to decrypted data available for consumption.

## ◆ get_decrypted_data_available()

int clan::TLSClient::get_decrypted_data_available | ( |  | ) | const

Returns how much decrypted data is available.

## ◆ get_encrypted_data()

const void * clan::TLSClient::get_encrypted_data | ( |  | ) | const

Return a pointer to encrypted data available for consumption.

## ◆ get_encrypted_data_available()

int clan::TLSClient::get_encrypted_data_available | ( |  | ) | const

Returns how much encrypted data is available.

The documentation for this class was generated from the following file:

- tls_client.h